#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tinyxml
Version		:	2.6.2
Release		:	14.4.0.0%{?dist}
Summary		:	A simple, small, C++ XML parser

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	zlib
URL		:	http://www.grinninglizard.com/tinyxml/
			#http://downloads.sourceforge.net/%{name}

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
#-----------------------------------------------------------------------------
%description
TinyXML is a simple, small, C++ XML parser that can be
easily integrating into other programs. Have you ever
found yourself writing a text file parser every time
you needed to save human readable data or serialize
objects?
TinyXML solves the text I/O file once and for all.
 
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc changes.txt readme.txt
%{_libdir}/*.so.*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development headers and libraries for %{name}

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc docs/*
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q -c %{name}
%{__mv} %{name}/* .
%{__rm} -f %{name}/._Makefile
rmdir %{name}
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build


TODO="tinyxml.cpp tinystr.cpp tinyxmlerror.cpp tinyxmlparser.cpp"

for prg in $TODO
  do
  g++ -fPIC -o $prg.o -c $prg
  done

# Not really designed to be build as lib, DYI
g++ 								\
	-shared							\
	-o lib%{name}.so.0.%{version}				\
	-Wl,-soname,lib%{name}.so.0.*				\
	*.cpp.o

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

# Install headers by hands.
%{__mkdir_p} %{buildroot}%{_includedir}
install -m 644 							\
	%{name}.h						\
	%{buildroot}%{_includedir}

#Install lib by hands.
%{__mkdir_p} %{buildroot}%{_libdir}
install -m 755 lib%{name}.so.0.%{version} %{buildroot}%{_libdir}
ln -s lib%{name}.so.0.%{version} %{buildroot}%{_libdir}/lib%{name}.so.0
ln -s lib%{name}.so.0.%{version} %{buildroot}%{_libdir}/lib%{name}.so

#Install pkgconfig by hands.
%{__mkdir_p} %{buildroot}%{_libdir}/pkgconfig
sed 								\
  -e 's![@]prefix[@]!%{_prefix}!g'				\
  -e 's![@]exec_prefix[@]!%{_exec_prefix}!g'			\
  -e 's![@]libdir[@]!%{_libdir}!g'				\
  -e 's![@]includedir[@]!%{_includedir}!g'			\
  -e 's![@]version[@]!%{version}!g'				\
  %{name}-ok_addon/%{name}.pc.in				\
  > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%changelog
